Accept A Mutual-Aid Response
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"response": {
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "accepted",
"chat_channel_id": 604,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": "2026-07-18T10:15:00.000000Z",
"completed_at": null
}
}
}Mutual Aid
Accept A Mutual-Aid Response
Accepts a pending response on a post owned by the authenticated member.
POST
/
v1
/
mutual-aid-posts
/
{post}
/
responses
/
{response}
/
accept
Accept A Mutual-Aid Response
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/responses/{response}/accept"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"response": {
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "accepted",
"chat_channel_id": 604,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": "2026-07-18T10:15:00.000000Z",
"completed_at": null
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Required range:
x >= 1Required range:
x >= 1Was this page helpful?